Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mycarenet.commons.protocol.v2
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.mycarenet.commons.protocol.v2.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.mycarenet.commons.protocol.v2 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.mycarenet.commons.protocol.v2

Method Summary
`ResponseReturnType` | `createResponseReturnType()` Create an instance of `ResponseReturnType`
`SendRequestType` | `createSendRequestType()` Create an instance of `SendRequestType`
`SendResponseType` | `createSendResponseType()` Create an instance of `SendResponseType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.mycarenet.commons.protocol.v2

Method Detail

### createSendRequestType

    public SendRequestType createSendRequestType()

  Create an instance of `SendRequestType`

### createSendResponseType

    public SendResponseType createSendResponseType()

  Create an instance of `SendResponseType`

### createResponseReturnType

    public ResponseReturnType createResponseReturnType()

  Create an instance of `ResponseReturnType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.